com.microfocus.zserver.zexplorer.ui.wizard

## Class CustomZServerWizardPage

- java.lang.Object
- - AbstractSystemNewConnectionWizardPage
  - - com.microfocus.zserver.zexplorer.ui.wizard.CustomZServerWizardPage

-     public class CustomZServerWizardPage
      extends AbstractSystemNewConnectionWizardPage

  "New RSE Connection" wizard page for z/Server settings.
  Author:
    RalfP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HEADER_VERSION` The z/Server header version to be used.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomZServerWizardPage(org.eclipse.jface.wizard.IWizard pWizard, ISubSystemConfiguration pParentFactory, java.lang.String pHostName)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyValues(ISubSystem pSs)`
    `org.eclipse.swt.widgets.Control` | `createContents(org.eclipse.swt.widgets.Composite pParent)`
    `org.eclipse.swt.widgets.Control` | `getControl()`
    `boolean` | `isPageComplete()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_VERSION

          public static final java.lang.String HEADER_VERSION

      The z/Server header version to be used. Header version `1` is deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomZServerWizardPage

          public CustomZServerWizardPage(org.eclipse.jface.wizard.IWizard pWizard,
                                         ISubSystemConfiguration pParentFactory,
                                         java.lang.String pHostName)

      Constructor.
      Parameters:
        `pWizard` - the main wizard
        `pParentFactory` - the sub system configuration
        `pHostName` - the hostname from the main wizard

  - ### Method Detail

    - #### applyValues

          public boolean applyValues(ISubSystem pSs)

    - #### createContents

          public org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite pParent)

    - #### isPageComplete

          public boolean isPageComplete()

    - #### getControl

          public org.eclipse.swt.widgets.Control getControl()

Copyright © 2015 Micro Focus GmbH. All rights reserved.